

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.YoWindow &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.WeatherStation" href="pywws.WeatherStation.html" />
    <link rel="prev" title="pywws.toservice" href="pywws.toservice.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.WeatherStation.html" title="pywws.WeatherStation"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.toservice.html" title="pywws.toservice"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-pywws.YoWindow">
<span id="pywws-yowindow"></span><h1>pywws.YoWindow<a class="headerlink" href="#module-pywws.YoWindow" title="Permalink to this headline">¶</a></h1>
<p>Generate YoWindow XML file.</p>
<p>usage: python pywws/YoWindow.py [options] data_dir output_file
options are:</p>
<blockquote>
-h or &#8211;help     display this help
-v or &#8211;verbose  increase amount of reassuring messages</blockquote>
<p>data_dir is the root directory of the weather data
output_file is the YoWindow XML file to be written</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.YoWindow.main" title="pywws.YoWindow.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<p class="rubric">Classes</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.YoWindow.YoWindow" title="pywws.YoWindow.YoWindow"><tt class="xref py py-obj docutils literal"><span class="pre">YoWindow</span></tt></a>(calib_data)</td>
<td>Class to write YoWindow XML file.</td>
</tr>
</tbody>
</table>
<dl class="class">
<dt id="pywws.YoWindow.YoWindow">
<em class="property">class </em><tt class="descclassname">pywws.YoWindow.</tt><tt class="descname">YoWindow</tt><big>(</big><em>calib_data</em><big>)</big><a class="reference internal" href="../_modules/pywws/YoWindow.html#YoWindow"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.YoWindow.YoWindow" title="Permalink to this definition">¶</a></dt>
<dd><p>Class to write YoWindow XML file.
For file spec see <a class="reference external" href="http://yowindow.com/doc/yowindow_pws_format.xml">http://yowindow.com/doc/yowindow_pws_format.xml</a></p>
<dl class="method">
<dt id="pywws.YoWindow.YoWindow.write_file">
<tt class="descname">write_file</tt><big>(</big><em>file_name</em>, <em>data=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/YoWindow.html#YoWindow.write_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.YoWindow.YoWindow.write_file" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="function">
<dt id="pywws.YoWindow.main">
<tt class="descclassname">pywws.YoWindow.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/YoWindow.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.YoWindow.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.toservice.html"
                        title="previous chapter">pywws.toservice</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.WeatherStation.html"
                        title="next chapter">pywws.WeatherStation</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.WeatherStation.html" title="pywws.WeatherStation"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.toservice.html" title="pywws.toservice"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>